curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": null,
"invoice_type": null,
"notes": null,
"order_id": null,
"payment_terms": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
`POST /api/v1/invoices`
POST /api/v1/invoices
POST
/
api
/
v1
/
invoices
curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": null,
"invoice_type": null,
"notes": null,
"order_id": null,
"payment_terms": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
Request body
CreateInvoiceRequest
string,null
string (uuid)
required
string,null
string,null
string,null
string,null (uuid)
string,null
Responses
InvoiceResponse
Invoice created
ErrorBody
Invalid request
ErrorBody
Idempotency-Key reused with a different body
curl --request POST \
--url 'https://api.stateset.com/api/v1/invoices' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"currency": null,
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": null,
"invoice_type": null,
"notes": null,
"order_id": null,
"payment_terms": null
}'
{
"amount_paid": "string",
"balance_due": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"due_date": "2026-07-24T12:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_date": "2026-07-24T12:00:00Z",
"invoice_number": "string",
"invoice_type": "string",
"order_id": null,
"status": "string",
"subtotal": "string",
"tax_amount": "string",
"total": "string",
"updated_at": "2026-07-24T12:00:00Z"
}
โI